Loading...
Searching...
No Matches
apr_time_exp_t Struct Reference
Apache Portability Runtime library » Time Routines

`#include <apr_time.h>`

## Data Fields

apr_int32_t | tm_usec
apr_int32_t | tm_sec
apr_int32_t | tm_min
apr_int32_t | tm_hour
apr_int32_t | tm_mday
apr_int32_t | tm_mon
apr_int32_t | tm_year
apr_int32_t | tm_wday
apr_int32_t | tm_yday
apr_int32_t | tm_isdst
apr_int32_t | tm_gmtoff

## Detailed Description

a structure similar to ANSI struct tm with the following differences:

- tm_usec isn't an ANSI field
- tm_gmtoff isn't an ANSI field (it's a BSDism)

## Field Documentation

## tm_gmtoff

apr_int32_t apr_time_exp_t::tm_gmtoff

seconds east of UTC

## tm_hour

apr_int32_t apr_time_exp_t::tm_hour

(0-23) hours past midnight

## tm_isdst

apr_int32_t apr_time_exp_t::tm_isdst

daylight saving time

## tm_mday

apr_int32_t apr_time_exp_t::tm_mday

(1-31) day of the month

## tm_min

apr_int32_t apr_time_exp_t::tm_min

(0-59) minutes past tm_hour

## tm_mon

apr_int32_t apr_time_exp_t::tm_mon

(0-11) month of the year

## tm_sec

apr_int32_t apr_time_exp_t::tm_sec

(0-61) seconds past tm_min

## tm_usec

apr_int32_t apr_time_exp_t::tm_usec

microseconds past tm_sec

## tm_wday

apr_int32_t apr_time_exp_t::tm_wday

(0-6) days since Sunday

## tm_yday

apr_int32_t apr_time_exp_t::tm_yday

(0-365) days since January 1

## tm_year

apr_int32_t apr_time_exp_t::tm_year

year since 1900

The documentation for this struct was generated from the following file:

- apr_time.h